For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sandbox

Endpoint для тестовой симуляции создания заявки без реальной записи обменной задачи.

Sandbox-симуляция заявки

Simulate exchange order creation without writing tasks

post
Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired

Sanctum token in Authorization: Bearer <token> format.

Header parameters
Idempotency-Keystring · min: 8 · max: 191Optional

Makes unsafe requests safely repeatable for 24 hours by default.

X-Correlation-Idstring · max: 128Optional

Client-defined id used to correlate API request and webhook events.

Body
route_idinteger · nullableOptional
direction_idinteger · nullableOptional
income_payment_systeminteger · nullableOptional
outcome_payment_systeminteger · nullableOptional
from_currency_idinteger · nullableOptional
to_currency_idinteger · nullableOptional
fromstring · nullableOptional
tostring · nullableOptional
from_codestring · nullableOptional
to_codestring · nullableOptional
amountstringOptionalExample: 100
income_amountstring · nullableOptional

Alias of amount.

city_idinteger · nullableOptional
type_rateone of · nullableOptional

0/fixed = fixed rate, 1/floating = floating rate.

integer · enumOptionalPossible values:
or
string · enumOptionalPossible values:
selected_fee_typestring · nullableOptional
card_verification_requiredboolean · nullableOptional
income_accountstring · nullableOptional
outcome_accountstring · nullableOptional
Responses
200

Standard success envelope.

application/json
stateinteger · enumRequiredPossible values:
messagestringRequired
resultany · nullableRequired
post/private/sandbox/exchange/orders/simulate

Последнее обновление

Это было полезно?